import '../entities/certificate.dart';
import '../repositories/certificate_repository.dart';
import '../../core/result.dart';

class PurchaseCertificateUsecase {
  final CertificateRepository repository;

  PurchaseCertificateUsecase(this.repository);

  Future<Result<Map<String, dynamic>>> call({
    required int certificateId,
    required int cardId,
  }) async {
    return await repository.purchaseCertificate(
      certificateId: certificateId,
      cardId: cardId,
    );
  }
}
